OpenTTD: Data Fields - Variables

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - d -

- dark_water : ExtraPaletteValues
- dark_water_toyland : ExtraPaletteValues
- data : Blitter_8bppOptimized::SpriteData , SmallVector< T, S > , NetworkHTTPContentConnecter , AllowedSubtags , LoggedChange , GRFError , OutputBuffer , SmallStackSafeStackAlloc< T, length > , Colour , Sprite , SpriteLoader::Sprite , SmallArray< T, B, N > , StringReader , StringParameters , Blitter_32bppOptimized::SpriteData , Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero > , CBinaryHeapT< T > , TileMatrix< T, N > , NWidgetPartDataTip , ByteBlob , SmallMatrix< T > , FixedSizeArray< T, C > , NetworkHTTPSocketHandler
- data_tip : NWidgetPart
- date : SetDateWindow , NewsItem , ScriptInfo , StoryPage
- date_format_in_default_names : GUISettings
- date_of_last_service : Vehicle
- date_width : MessageHistoryWindow
- day : YearMonthDay
- day_counter : Vehicle
- days_in_transit : CargoPacket
- debugbox_dimension : NWidgetLeaf
- decode_params : ErrorMessageData , DropDownListParamStringItem
- dedicated : NetworkGameInfo
- dedicated_host : AfterNewGRFScan
- dedicated_port : AfterNewGRFScan
- def : SettingDescBase
- def_value : GRFParameterInfo
- default_colour : SmallMapColourScheme
- default_company_pass : NetworkSettings
- default_compression : SaveLoadFormat
- default_height_trad : WindowDesc
- default_pos : WindowDesc
- default_rail_type : GUISettings
- default_scope : ResolverObject
- default_signal_type : GUISettings
- default_width_trad : WindowDesc
- defaultcargo_grf : GRFTempEngineData
- defsizebox_dimension : NWidgetLeaf
- delay : ScriptStorage
- delete_ctr : BaseStation
- delivered_cargo : CompanyEconomyEntry
- delta : CursorVars
- delta_x : DrawTileSeqStruct
- delta_z : AirportFTAClass , DrawTileSeqStruct
- demand : LinkGraphJob::EdgeAnnotation , LinkGraph::BaseNode
- demand_distance : LinkGraphSettings
- demand_per_node : SymmetricScaler
- demand_size : LinkGraphSettings
- deparr_abbr_width : TimetableWindow
- deparr_time_width : TimetableWindow
- departure : TimetableArrivalDeparture
- dependencies : ContentInfo
- dependency_count : ContentInfo
- depot : RailtypeInfo
- depot_table : AirportSpec
- depth : NetworkHTTPContentConnecter
- desc : GRFParameterInfo , SettingDesc
- descender : FontCache
- descending_sort_order : ReplaceVehicleWindow , BuildVehicleWindow
- description : BaseSet< T, Tnum_files, Tsearch_in_tars > , BlitterFactory , DriverFactoryBase , ContentInfo , ScriptConfigItem , ScriptInfo , PluralForm
- dest : NetworkChatWindow , Order
- dest_coords : NPFFindStationOrTileData
- dest_scrollpos_x : ViewportData
- dest_scrollpos_y : ViewportData
- dest_string : NetworkChatWindow
- dest_tile : Vehicle
- destination : CargoMovement< Tsource, Tdest >
- detail_ftype : FileToSaveLoad
- detailed_msg : ErrorMessageData
- details_height : ReplaceVehicleWindow , BuildVehicleWindow
- developer : GUISettings
- device_depth : CocoaSubdriver
- device_height : CocoaSubdriver
- device_width : CocoaSubdriver
- diagonal : TileHighlightData
- difficulty : GameSettings
- digit_decimal_separator : LocaleSettings , LanguagePackHeader
- digit_group_separator : LanguagePackHeader , LocaleSettings
- digit_group_separator_currency : LocaleSettings , LanguagePackHeader
- dir : HangarTileTable , RoadStopEntryRebuilderHelper , ScriptFileChecksumCreator
- direction : Vehicle , AirportMovingData
- dirname : File
- dirty : CursorVars , TileHighlightData
- dirty_rects : CocoaSubdriver
- dirty_tiles : TerraformerState
- disable_elrails : VehicleSettings
- disable_node_optimization : YAPFSettings
- disable_unsuitable_building : GUISettings
- disallowed_lengths : StationSpec
- disallowed_platforms : StationSpec
- disaster : SoundSettings
- disasters : DifficultySettings
- disp_flags : NWidgetCore
- display_time : AnimCursor
- displayed_actions_on_previous_painting : TownAuthorityWindow
- displayed_rows : StationViewWindow
- dist_local_authority : EconomySettings
- distance : Path
- distant_join_stations : StationSettings
- distribution_armoured : LinkGraphSettings
- distribution_default : LinkGraphSettings
- distribution_mail : LinkGraphSettings
- distribution_pax : LinkGraphSettings
- do_reserve : FinalizeRefitAction
- dock_tile : Station
- dodraw : TileLayoutRegisters
- downloaded_bytes : BaseNetworkContentDownloadStatusWindow
- downloaded_files : BaseNetworkContentDownloadStatusWindow
- dparam : TileDesc
- drag_signals_density : GUISettings
- drag_signals_fixed_distance : GUISettings
- draw_size : CursorVars
- draw_tile_proc : TileTypeProcs
- drawstyle : TileHighlightData
- dropdown_dimension : NWidgetLeaf
- dst : Goal , Subsidy , Blitter::BlitterParams
- dst_industry : GenericScopeResolver
- dst_type : Subsidy
- dtype : NetworkChatWindow
- dummy : AirportSpec
- dummy1 : Cheats
- dummy2 : Cheats
- dummy3 : Cheats
- dummy_parameter_info : NewGRFParametersWindow
- dumper : SaveLoadParams
- duplicate : FreeTypeFontCache::GlyphEntry
- duplicate_sets : BaseMedia< Tbase_set >
- duration : TextEffect , ErrorMessageData , NewsWindow
- duration_phase_1 : Engine
- duration_phase_2 : Engine
- duration_phase_3 : Engine
- dynamic_engines : VehicleSettings